#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  imlib2-1.7.1

- Next

  keybinder-3.0-0.3.2

- Up
- Home

# keybinder-0.3.1

## Introduction to keybinder

The keybinder package contains a utility library registering global X keyboard shortcuts.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/kupferlauncher/keybinder/releases/download/v0.3.1/keybinder-0.3.1.tar.gz

- Download MD5 sum: a6d7caae0dcb040b08692b008a68a507

- Download size: 384 KB

- Estimated disk space required: 2.8 MB

- Estimated build time: less than 0.1 SBU

### keybinder Dependencies

#### Required

GTK+-2.24.33

#### Recommended

gobject-introspection-1.66.1 and PyGTK-2.24.0

#### Optional

GTK-Doc-1.33.2 and Lua-5.4.2 (currently broken because an older lua version is required)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/keybinder

## Installation of keybinder

Install keybinder by running the following commands:

    ./configure --prefix=/usr --disable-lua &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-lua`: Use this switch to disable Lua-5.4.2 bindings (currently broken, because older lua version is required).

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Library: libkeybinder.so and /usr/lib/python2.7/site-packages/keybinder/_keybinder.so
Installed Directories: /usr/lib/python2.7/site-packages/keybinder and /usr/share/gtk-doc/html/keybinder

### Short Descriptions

`libkeybinder.so` | is the library that registers global X keyboard shortcuts

Last updated on 2021-02-22 21:05:47 -0800

- Prev

  imlib2-1.7.1

- Next

  keybinder-3.0-0.3.2

- Up
- Home